Skip to main content
<div> <p> Update Custom Field By Id </p> <div> <span style= “display: inline-block; width: 25px; height: 25px; background-color: yellow; color: black; font-weight: bold; font-size: 24px; text-align: center; line-height: 22px; border: 2px solid black; border-radius: 10%; margin-right: 10px;”> ! </span> <span> <strong> Only supports Custom Objects and Company (Business) today. Will be extended to other Standard Objects in the future. </strong> </span> </div> </div>
PUT https://services.leadconnectorhq.com/custom-fields/{id}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

id
string
required

Body

locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
name
string
default:"Name"
Field name
description
string
Description of the field
placeholder
string
Placeholder text for the field
showInForms
boolean
required
Whether the field should be shown in forms
options
object[]
Options for the field. Important: Providing options will completely replace the existing options array. You must include all existing options alongside any new options you wish to add. Removal of options is not supported through this update. Applicable only for SINGLE_OPTIONS, MULTIPLE_OPTIONS, RADIO, CHECKBOX, TEXTBOX_LIST types.
acceptedFormats
string
Allowed file formats for uploads. Options include: .pdf, .docx, .doc, .jpg, .jpeg, .png, .gif, .csv, .xlsx, .xls, all Posibles valores: ‘.pdf’, ‘.docx’, ‘.doc’, ‘.jpg’, ‘.jpeg’, ‘.png’, ‘.gif’, ‘.csv’, ‘.xlsx’, ‘.xls’, ‘all’
maxFileLimit
number
default:"2"
Maximum file limit for uploads. Applicable only for fields with a data type of FILE_UPLOAD.

Respuestas

field
object
{
  "field": {
    "locationId": "ve9EPM428h8vShlRW1KT",
    "name": "Name",
    "description": "string",
    "placeholder": "string",
    "showInForms": true,
    "options": [
      {
        "key": "string",
        "label": "string",
        "url": "string"
      }
    ],
    "acceptedFormats": ".pdf",
    "id": "string",
    "objectKey": "custom_object.pet",
    "dataType": "TEXT",
    "parentId": "3v34PM428h8vShlRW1KT",
    "fieldKey": "custom_object.pet.name",
    "allowCustomOption": true,
    "maxFileLimit": 2,
    "dateAdded": "2024-01-15T10:30:00Z",
    "dateUpdated": "2024-01-15T10:30:00Z"
  }
}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/custom-fields/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "name": "Name",
  "description": "string",
  "placeholder": "string",
  "showInForms": true,
  "options": [
    {
      "key": "string",
      "label": "string",
      "url": "string"
    }
  ],
  "acceptedFormats": ".pdf",
  "maxFileLimit": 2
}'
const response = await fetch('https://services.leadconnectorhq.com/custom-fields/YOUR_id', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "ve9EPM428h8vShlRW1KT", "name": "Name", "description": "string", "placeholder": "string", "showInForms": true, "options": [{"key": "string", "label": "string", "url": "string"}], "acceptedFormats": ".pdf", "maxFileLimit": 2}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PUT',
    'https://services.leadconnectorhq.com/custom-fields/YOUR_id',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "ve9EPM428h8vShlRW1KT", "name": "Name", "description": "string", "placeholder": "string", "showInForms": true, "options": [{"key": "string", "label": "string", "url": "string"}], "acceptedFormats": ".pdf", "maxFileLimit": 2},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/custom-fields/YOUR_id');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': 've9EPM428h8vShlRW1KT', 'name': 'Name', 'description': 'string', 'placeholder': 'string', 'showInForms': true, 'options': [{'key': 'string', 'label': 'string', 'url': 'string'}], 'acceptedFormats': '.pdf', 'maxFileLimit': 2}),
]);
$data = json_decode(curl_exec($ch), true);